Меню Рубрики

Установка flash player debian jessie

Установка flash player debian jessie

Как известно, новые версии Adobe Flash Player существует в нескольких версиях:

  • ActiveX — для Internet Explorer’a (только в Windows)
  • NPAPI — существовал долгое время для всех остальных браузеров, в последнее время остановился в развитии (в Linux, для Windows всё ещё выходит)
  • PPAPI — существует с относительно недавнего времени для браузеров на движке Chromium

Компания Adobe с 2012 года отказалась поддерживать плагин Flash Player для NPAPI, и поэтому у многих пользователей FireFox в Linux версия плагина не поднимается выше 11.2

При этом сейчас (сентябрь 2016 года) уже есть Flash Plugin версии 23 и даже старше.

Решение придумал Ринат Ибрагимов, программер из Казани. Он написал обёртку (враппер) между NPAPI (системой плагинов Firefox) и PPAPI (системой плагинов Chromium). Эта обёртка выглядит для FireFox как обычный NPAPI-плагин, в то время, как для самого плагина, она выглядит как браузер с поддержкой PPAPI (как например Google Chrome).
То есть, схема работы такая:

Новый Adobe Flash PPAPI Враппер FreshPlayer Рината Firefox

Вот аккаунт героя на гитхабе: https://github.com/i-rinat
А вот и репозиторий с враппером: https://github.com/i-rinat/freshplayerplugin
Хотя в самом репозитории есть инструкция по установке, запишу здесь чёткую последовательность действий, чтобы не забыть, да и другим помочь.

Итак, как сделать чтобы FireFox или IceWeasel смогли работать с новым Flash Plugin’ом в Debian и Ubuntu:

В моём случае, новый Flash Player нужен в браузере IceWeasel версии 34 (Это тот же FireFox но для Debian, просто названный иначе в соответствии с лицензионными ограничениями налагаемыми на торговую марку FireFox и его логотип).
Если у вас не IceWeasel а FireFox — абсолютно ничего не меняется.

Кстати, если кому интересно, где взять последнюю версию IceWeasel (ту же самую что последняя версия FireFox) — вы можете воспользоваться инструкциями отсюда: http://mozilla.debian.net/, там достаточно выбрать, какая версия вам нужна (обычно это release) и какой у вас дистрибутив Debian — и вам датут строчки для /etc/apt/sources.list которые позволят вам установить нужную версию прямо из репозитория.

1. Проверить, какая версия флеша установлена у вас и удалить её.

Для этого в FireFox/IceWeasel открываем адрес about:addons и выбираем вкладку «плагины».
У меня до начала всех операций там была вот такая картина:

Как правило, флэш в Debian/Ubuntu устанавливается при помощи пакета flashplugin-nonfree. Поэтому удаляем его:

# aptitude remove flashplugin-nonfree

2. Раздобыть новый флеш.

Помним, что для работы нам всё-таки нужен новый флеш — его PPAPI-версия, которая подходит для Хрома, но не подходит (пока) для Firefox.
Сделать это можно одним из следующих способов:

  • Можно скачать плагин с сайта Adobe, в последнее время, когда другие методы срабатывают не всегда, этот метод наиболее надёжный
  • Если у вас дистрибутив новее чем Debian Wheezy (например Debian Jessie), либо Ubuntu Wily Werewolf — достаточно установить пакет pepperflashplugin-nonfree
  • Также, если у вас подключен репозиторий wheezy-backports, там тоже есть этот пакет
  • Можно скачать этот пакет прямо вот отсюда: https://packages.debian.org/wheezy-backports/pepperflashplugin-nonfree
  • Можно установить Google Chrome, скачав его с сайта Google — он тянет с собой новую версию флеша и ею мы и воспользуемся. Кстати, pepperflashplugin-nonfree втихоря делает тоже самое: качает пакет с хромом и выковыривает оттуда новый Flash-плагин.

Скачать плагин с сайта Adobe можно здесь: https://get.adobe.com/ru/flashplayer/, при этом вам будет предложено скачать старую версию флеша (11-ю):
1) Слева внизу нужно нажать ссылку «Нужен проигрыватель Flash для другого компьютера».
2) В выпадающем списке «шаг 1» нужно выбрать вариант Linux 32-bit или Linux 64-bit (в зависимости от того, что у вас)
3) В выпадающем списке «шаг 2» нужно выбрать вариант FP XX.X for other Linux .tar.gz (где вместо XX.X будет версия плеера, у меня там 23.0),
4) Нажать справка кнопку «загрузка»после закачки файла, распаковать его, и найти файл libpepflashplayer.so, это и есть плагин.
5) Создать папку /opt/google/chrome/PepperFlash, и положить в неё файл libpepflashplayer.so

Если пакет есть в репозитории (у вас Jessie, Wily Werewolf, либо wheezy с подключенным Wheezy-backports), тогда:

# aptitude install pepperflashplugin-nonfree

# dpkg -i ./pepperflashplugin-nonfree.deb

3. Скомпилировать обёртку FreshPlayerPlugin

Именно она обеспечит связь между новым Flash-плагином и нашим FireFox’ом.

Установим необходимые для сборки пакеты (запуск от рута):
Для Debian Wheezy:

# aptitude install git cmake pkg-config ragel libasound2-dev \ libglib2.0-dev libconfig-dev libpango1.0-dev libgl1-mesa-dev \ libevent-dev libgtk+2.0-dev libgles2-mesa-dev libxrandr-dev \ libpulse-dev libssl-dev libgtk2.0-dev libicu-dev

Для Debian Jessie и Ubuntu Wily Werewolf:

# aptitude install git cmake pkg-config ragel libasound2-dev \ libglib2.0-dev libconfig-dev libpango1.0-dev libgl1-mesa-dev \ libevent-dev libgtk2.0-dev libgles2-mesa-dev libxrandr-dev \ libpulse-dev libssl-dev libgtk2.0-dev libavcodec-dev \ libavformat-dev libavfilter-dev libv4l-dev libv4l-0 \ libva-dev libvdpau-dev libicu-dev

Клонируем репозиторий с исходными кодами и создаём папку build (все это уже от имени простого пользователя)

$ cd /tmp $ git clone https://github.com/i-rinat/freshplayerplugin.git $ cd freshplayerplugin $ mkdir build $ cd build

$ cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo .. $ make

После сборки в папке появится файл libfreshwrapper-flashplayer.so который и является плагином для FireFox/IceWeasel и позволяет использовать новый флеш.

4. Установим и настроим плагин для FireFox/IceWeasel

Файл libfreshwrapper-pepperflash.so нужно скопировать в папку

/.mozilla/plugins — она уже должна у вас быть, если FireFox/IceWeasel установлен и хотя-бы раз запущен. Если же нет — можно просто создать её вручную.
Исходя из того, что мы всё еще находимся в папке build:

Также, нужно скопировать конфигурационный файл из папки ../data (там лежит пример) в папку

После копирования файла настроек нужно открыть его и проверить параметр pepperflash_path, он должен указывать туда, где лежит ваш плагин pepperflash.

  • Если вы устанавливали google chrome, тогда путь там правильный «/opt/google/chrome/PepperFlash/libpepflashplayer.so»
  • Если вы устанавливали flash с помощью deb-пакета, тогда он должен лежать там же, так как, в соответствии с данной статьёй https://wiki.debian.org/PepperFlashPlayer, пакет просто скачивает стабильную версию Google Chrome, «выковыривает» из неё плагин и кладёт туда, где им сможет пользоваться браузер Chromium (то есть в то же самое место)
Читайте также:  Установка kyocera 1025 в linux

Проверьте, действительно ли там если плагин, и если да — всё в порядке.

5. Проверим FireFox/IceWeasel

Поскольку наверняка вы не выключали браузер все это время (инструкцию то как-то надо читать), самое время его перезапустить.
После перезапуска снова открываем about:addons, выбираем там «плагины», и видим какая версия там написана. В моём случае это аж 23-я версия (возможно это версия не Flash Plugin от Adobe, а версия гугловского плагина, который мог быть как-то допилен командой гугла):

Для проверки откроем какой-нибудь сайт, где требуется Flash Player (но не ютюб, потому что в нём видео будет работать и без Flash, на голом Html5), например vimeo.com, и пробуем открыть какое-нибудь видео.

Комментарии от создателя враппера (и от меня)

  • В плагине в основном работает все, но некоторые функции еще не реализованы (от себя рекомендую время от времени загружать из репозитория очередную версию, компилировать, и заменять ею старую.)
  • Хотя интерфейс PPAPI считается более безопасным за счёт встроенной «песочницы» (именно поэтому в Google Chrome отказались от NPAPI в пользу PPAPI), само API по умолчанию не включает «песочницу», но позволяет использовать механизмы песочницы при реализации собственных плагинов. Данная реализация никакой песочницы не содержит, так что безопасность тут не выше чем в обычном NPAPI-плагине
  • Все изестные проблемы перечислены на странице https://github.com/i-rinat/freshplayerplugin/blob/master/doc/known-issues.md
  • Для Ubuntu существует PPA (пользовательский репозиторий) содержащий уже собранные пакеты freshplayerplugin, и он поможет устранить этап компиляции плагина вручную. Гуглится он по запросу «Install fresh player plugin in ubuntu via ppa». Сами deb-пакеты вот http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu/pool/main/f/freshplayerplugin/, я его не пробовал, если хотите — используйте на свой страх и риск.

24 комментария

Не работает на Debian/Jessie amd64 ;-(

В ближайшее время дополню статью для Jessie-64

буду следить за новостями )) это будет очень полезно многим

Только что полностью выполнил установку на Debian Jessie amd64, всё работает.
Уточни, что именно не работает у тебя.

постоянно стоит на «паузе» перемещатся могу по видео ползунком, отрисовывает кадры

(process:19445): GLib-CRITICAL **: g_slice_set_config: assertion ‘sys_page_size == 0’ failed
NOT SANDBOXED
[fresh 19578] not implemented: PPB_OpenGLES2DrawBuffers(Dev);1.0
ALSA lib pcm_dmix.c:1022:(snd_pcm_dmix_open) unable to open slave
[fresh] [error] alsa_create_stream, snd_pcm_open, Нет такого файла или каталога
[fresh] [error] alsa_create_stream, snd_pcm_open, Нет такого файла или каталога
[fresh] [error] do_ppb_audio_create, can’t create playback stream
[fresh] [error] do_ppb_audio_create, can’t create playback stream
[fresh] [error] ppb_audio_start_playback, bad resource
[fresh] [error] ppb_audio_start_playback, bad resource

У тебя установлен PulseAudio? Судя по сообщениям, не удаётся запустить звук, причем сначала он пробует dmix, потом alsa, это может говорить о том, что PulseAudio он почему-то не нашел.
И еще — попробуй запустить полностью без конфиг-файла (т.е. freshwrapper.conf), у меня работает без него, и один товарищ говорил что ему приходилось что-то там в этом файле подкручивать чтобы добиться чего-то от флеша.

Возникла трудность, после $ cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo ..
сам $ make пишет: make: *** Не заданы цели и не найден make-файл. Останов.
Какие варианты?
Debian 8 Jessie testing (i386 32bit)

make’у для работы нужен Makefile, причём в той папке, откуда make запускается, либо из указанной насильно.
Если он говорит «не найден make-файл», значит ты его запускаешь не из той папки где этот Makefile лежит, либо не указываешь ГДЕ он лежит.
Проверь последовательность команд, выполняемых перед запуском make. Ты должен его запускать из папки build, но при этом указывать в конце команды «..» — указание на то, что Makefile лежит уровнем выше.

Выполнял шаги последовательно, как указано в посте. cmake выполняется находясь в папке build, судя по тому что указывается .. в статье, то и у меня тоже makefile должен был оказаться на каталог выше чем build, но как показал терминал, у меня там нет этого файла. Пойду попробую еще раз.

Неверно я тебе подсказал. Суть в том, что сначала ты запускаешь cmake, а он находит все нужные библиотеки, проводит конфигурирование, и создаёт файл Makefile прямо в текущей папке. А вот make ты уже запускаешь без параметров, и он ожидает что Makefile будет в текущей папке. Если этого файла в текущей папке не появилось — это значит что cmake отработал с ошибкой. Надо смотреть его выдачу. Перед запуском cmake заново, нужно сначала отчистить папку build.
Кстати, вчера пробовал ребилдить обёртку, и выяснил что теперь в Jessie нужен пакет libvdpau-dev, добавил его в список необходимых пакетов. Возможно именно из-за него у тебя cmake не отработал как надо.

Нашел вариант с dpkg -i попробовал, ребутнулся, встал и полетел. Спасибо за помощь!

То есть просто скачал deb-пакет по ссылке? Незачто 🙂

Скачал и поставил. В iceweasl он есть, 12.1 r720.
Однако как оказалось я поспешил, при запуске flash файлов появляется классное сообщение:

We’re sorry, Lightspark encountered a yet unsupported Flash file
SWF file: http:// ссылка на файл
Cause: Unhanlded ActionScript exception
Press Ctrl+C to copy this error to clipboard

И соответствено не запускается.
Удалю, попробую скомпилировать.

Ну так LightSpark это же «open source Flash player implementation» — то есть попытка сообщества реализовать функционал флэш плейера. Думаю он не скоро сможет проигрывать любые SWF файлы

Поступил иным путем. Поставил chrome, в нем все заработало с полтычка. Но я не люблю хром. Сижу гуглю как вытащить flash из хрома и удалить его. В любом случае, Ваша статья решила мою проблему. Добавлю сайт в Speed dial.

Суть именно в том, что в Chrome находится Flash, работающий через PPAPI, и мы его именно и пытаемся включить в FireFox, который умеет работать только через NPAPI, и вот с помощью fresh-player, которыйты и пытался скомпилировать, как раз создаётся мост между NPAPI и PPAPI. Так что без последней версии флэша из хрома ты всё равно бы ничего не заставил работать.

Читайте также:  Установка гбо на фиат типо

Хм, и то верно. Ок, позднее попробую повторно скомпилить тексты и запустить PPAPI на IceWeasel.

Failed to load «libpepflashplayer.so».
Frashwrapper is a translation layer which needs
PPAPI plugin backend. Ensure your system have
«libpepflashplayer.so» available.
Paths tried:

Причем, файлик там лежит. Правда при компиляции попадались какие-то строки красного цвета.

Привет. «libpepflashplayer.so» — это сам PPAPI-плагин. Если говорит что его нет, значит скорее всего и правда нет. Для эксперимента — установи Google Chrome, он с собой сразу же тащит этот плагин, так что должно заработать. Также, если у тебя Debian Jessie или Wheezy с бэкпортами из Jessie, то у тебя должен быть пакет pepperflashplugin-nonfree

ха! просто закоментил строку
pepperflash_path = «

/.mozilla/plugins/libfreshwrapper-flashplayer.so»
в конфиге
И все заработало!
Правда хром я перед етим поставил таки.
Ну вроде работает, спасибо!

— Performing Test HAVE_AVPixelFormat
— Performing Test HAVE_AVPixelFormat — Failed
— Performing Test HAVE_AV_PIX_FMT_VDPAU
— Performing Test HAVE_AV_PIX_FMT_VDPAU — Failed
— Performing Test HAVE_AVCodecID
— Performing Test HAVE_AVCodecID — Failed
— Performing Test HAVE_AVCodecContext_get_buffer2
— Performing Test HAVE_AVCodecContext_get_buffer2 — Failed
— Performing Test HAVE_AVVDPAUContext
— Performing Test HAVE_AVVDPAUContext — Failed
— Looking for av_frame_alloc
— Looking for av_frame_alloc — not found
— Looking for av_frame_free
— Looking for av_frame_free — not found
— Looking for avcodec_free_context
— Looking for avcodec_free_context — not found
— checking for module ‘libv4l2’
— package ‘libv4l2’ not found
CMake Error at /usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:283 (message):
A required package was not found
Call Stack (most recent call first):
/usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:337 (_pkg_check_modules_internal)
CMakeLists.txt:133 (pkg_check_modules)

— Configuring incomplete, errors occurred!

Никакими силами libv4l2 не устанавливается …..

Какой дистрибутив?
Все библиотеки из инструкции установил?
В частности, там есть библиотеки libv4l-dev и libv4l-0. Установлены?

Привет. В Debian 9 ещё не пробовал, через некоторое время буду обновлять свои системы — попробую, тогда допишу в статье. А пока тебе можно сделать так: положить pepperflash туда куда хочешь, а в плагине для фаерфокса настроить путь к этому файлу.

источник

linux-notes.org

Установка Adobe Flash Player в Debian/Ubuntu/Mint

Хочу рассказать в своей теме «Установка Adobe Flash Player в Debian/Ubuntu/Mint» как установить флеш плеер на Debian, Ubuntu или linux mint. Установка очень проста и не требует много вашего времени.

Установка Adobe Flash Player в Debian/Ubuntu/Mint

И так, примеры приводились для Debian 8 и Ubuntu 16.

Установка Adobe Flash Player в Ubuntu

Нужно запустить программу «Терминал», откройте ее в панели управления или можно его запустить через комбинацию клавиш Ctrl+Alt+T, после чего введите ряд команд:

1. Добавим репозиторий в котором содержится флеш плеер:

PS: для установки Flash для Ubuntu x64, выполняем ряд действий:

  • Добавляем репозиторий:
  • Обновим список репозиторией и так же, ОС:
  • Собственно, устанавливаем флеш:

2. Обновим систему чтобы наел наш репозиторий:

3. Устанавливаем flash плеер:

После окончания установки, откройте любой видеоролик в вашем браузере и проверьте работу плеера, должно все работать.

Установка Adobe Flash Player в Debian

Если не помогло, то есть еще самый верный способ. Открываем файл:

Выполняем обновление пакетов:

Установите flashplugin-nonfree (из раздела contrib):

Обновить Adobe Flash Player можно:

Удалить Adobe Flash Player можно:

Так же, можно добавить еще один репозиторий:

Выполняем установку ключа:

Выполним обновление пакетов:

И, ставим flashplugin-nonfre плагин:

На этом моя статья «Установка Adobe Flash Player в Debian/Ubuntu/Mint» завершена.

6 thoughts on “ Установка Adobe Flash Player в Debian/Ubuntu/Mint ”

Чёт не помогло… Linux Mint 17.1 MATE на ютубе норм. а в вк не хочет(

Попробуйте переустановить (сделать все заново). Так же, попробуйте использовать другой браузер

Народ. Зачем Вы пишете то, что нихрена не работает.

Доброе время суток! Расскажите какую ОС используете ( так же разрядность), могу помочь. Что касается работоспособности моей статьи — она была рабочая на момент написания. Я все проверяю. Бывает так, что выходят новые версии и меняют шаги обновления и тогда нужно править материал. У меня нет времени за всем следить, убедительная просьба, относиться к чужой работе спокойно 😉 Уважайте чужой труд 🙂
Если нашли полезную и рабочую статью, просьба присылать и я тогда дополню свою. Спасибо за понимание.

Ну а где репозиторий для Debian? Этот не катит! Раз уж в заголовке есть этот дистриб — можно было бы и для него разжевать!

Да, упустил момент! Спасибо за замечание. Уже поправил 😉

Добавить комментарий Отменить ответ

Этот сайт использует Akismet для борьбы со спамом. Узнайте как обрабатываются ваши данные комментариев.

источник

  • FlashPlayer

Please note that Flash will be EOL at the end of 2020 so you should migrate any use of Flash to HTML5 as soon as possible.

Adobe Flash Player is a multimedia platform used to add animation, video, and interactivity to Web pages. Flash is frequently used for advertisements and games.
This wiki page describes how to install the Adobe Flash Player, formerly known as the Macromedia Flash Player, on Debian systems. This page serves as the homepage of the Debian package flashplugin-nonfree.
Before installing it manually, please consider using instead PepperFlashPlayer (with Freshplayerplugin if using Firefox).

End User License Agreement of the Adobe Flash Player

The newest versions of the Debian package flashplugin-nonfree have this warning in the package description:

Читайте также:  Установка кресел в кинозале

Installation

Debian 9 Stretch

Firefox

1. Download the latest Adobe Flash Player for Linux from https://get.adobe.com/flashplayer/

On 64bit systems, it should be: flash_player_npapi_linux.x86_64.tar.gz

  • On 32bit systems, it should be: flash_player_npapi_linux.i386.tar.gz
  • 2. Unpack the tar.gz file: tar -xzf flash_player_npapi_linux*.tar.gz

    Example: Debian 9 Stretch + Firefox 52.4.0 (64-Bit): /usr/lib/mozilla/plugins/

    Example: Debian 9 Stretch + Firefox 62+ (64-Bit):

    *Please note you may have to create this directory if it does not exist*

    4. Copy libflashplayer.so to the appropriate browser plugins directory: sudo cp libflashplayer.so

    Example: sudo cp libflashplayer.so /usr/lib/mozilla/plugins/

    5. Copy the Flash Player Local Settings configurations files to the /usr directory: sudo cp -r usr/* /usr

    Chromium

    1. Download the latest Adobe Flash Player for Linux from https://get.adobe.com/flashplayer/

    On 64bit systems, it should be: flash_player_ppapi_linux.x86_64.tar.gz

  • On 32bit systems, it should be: flash_player_ppapi_linux.i386.tar.gz
  • 2. Unpack the tar.gz file: tar -xzf flash_player_ppapi_linux*.tar.gz

    3. Copy libpepflashplayer.so to the appropriate lib directory: sudo cp libflashplayer.so

    Example: sudo cp flash/libflashplayer.so /usr/local/lib

    4. Check the version of the flash plugin from the manifest.json file

    Example: grep version flash/manifest.json

    • «version»: «31.0.0.153»,

    5. Restart Chromium with parameters of flash plugin location and version: chromium —ppapi—flash-path=
    —ppapi-flash-version=

    Example: chromium —ppapi-flash-path=/usr/local/lib/libpepflashplayer.so —ppapi-flash-version=31.0.0.153

    Semi-Automatic installation and/or update for Mozilla Firefox on Debian 9 Stretch

    1. Download and execute this shell script (fireflashupdate) with the following commands:

    Older Versions

    Note : flashplugin-nonfree package is not in the stable distribution. Refer to the Manual update method.

    Ensure your /etc/apt/sources.list file includes the contrib section ( for more information see sources.list )

  • Install flashplugin-nonfree (from section contrib):
  • Update

    Semi-Automatic update

    How to update the Adobe Flash Player:

    If this fails with «ERROR: wget failed to download . «, try the Manual update.

    Manual update

    When running update-flashplugin-nonfree —install you might get the following error:

    ERROR: wget failed to download http://people.debian.org/

    Unfortunately this is a recurring bug, anyway you can upgrade the plugin manually following this procedure:

    Download the latest release of the plugin in tar.gz format from https://get.adobe.com/flashplayer/

    As root, extract the tar.gz package and copy libflashplayer.so to /usr/lib/flashplugin-nonfree
    Give the file sane permission/ownership values:

    Check that the relevant /etc/alternatives entry is correct (this shouldn’t be required if the plugin was working properly before the upgrade) update-alternatives —list flash-mozilla.so should return /usr/lib/flashplugin-nonfree/libflashplayer.so If that’s not the case, you can fix it with: update-alternatives —quiet —install /usr/lib/mozilla/plugins/flash-mozilla.so flash-mozilla.so /usr/lib/flashplugin-nonfree/libflashplayer.so 50

    Note that the filename may be libpepflashplayer.so for the PepperFlashPlayer variant.

    Uninstall

    How to Uninstall the Adobe Flash Player, and the flashplugin-nonfree package:

    Compatible browsers

    Supported browsers

    Konqueror (if Netscape plugin support is present)

    Unsupported browsers

    Bug reporting

    If you find a problem with flashplugin-nonfree, then you are most welcome to report it in the Debian bug tracking system. However, we cannot modify the Adobe Flash Player to fix problems in Debian. So if you find a problem with the Adobe Flash Player, then please report it to Adobe.

    If you have found a workaround for a problem, then you are welcome to add an entry in the «troubleshooting» section below.

    Troubleshooting

    Proxy : The package flashplugin-nonfree has «its own internal solution» for caching the big .tar.gz downloaded from Adobe. Downloading fp10.*.pgp.asc is not cached by flashplugin-nonfree. My advice is to never use a caching proxy with flashplugin-nonfree, because a retrieval of fp10.*.pgp.asc from cache might result in a security update to be installed later than it should. If you must use a proxy because you have no direct way to the internet, then obviously you have no choice than to use the proxy. Then this should work:

    Remember that if you need the Flash Player to work with pulse, you can ask libasound to do so in your

    To verify the Adobe Flash Player version number installed on your system, access the About Flash Player page, or right-click on content running in Flash Player and select «About Adobe (or Macromedia) Flash Player» from the menu. If you use multiple browsers, perform the check for each browser you have installed on your system. (Source: Flash player security bulletins). Flash Player 11.2 is the last supported Flash Player version for Linux. Adobe will continue to prov >

    Adobe dropped support of processors without SSE2 on Linux (you can check with «grep ^flags /proc/cpuinfo» the letters «sse2» should be in the list) in an early point release of Flash Player 11. The player will install, but then crashes when it is invoked. This mostly affects older 32bit AMD processors. You can install Flash Player 10 from Adobe, see 697339.

    In case the plugin causes high cpu-usage, you can try this: create /etc/adobe/mms.cfg:

    Hardware v > Otherwise, a solution for users on netbooks with an accelerated v >

  • Fluent playback with Firefox is possible, replace the above options with the below options. This should permit for fluent HD playback with hw acceleration ( or no hw acceleration ) in the browser, except for full-screen HD depending on your machines capabilities.
    • If your Chromium or Google Chrome browser window is flickering, blinking constantly on some webpages, this issue is cause by Flash player, the following steps might fix that issue.
      1. Using your browser view any webpage containing a flash v >
      2. Right click on the v >
      3. Close your browser, reopen it, right click on the v >

    источник

    Добавить комментарий